Skip to main content
GET
/
api
/
teams
/
{team_id}
/
proxy_profiles
/
all
Error
A valid request URL is required to generate request examples
{
  "hydra:member": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "name": "",
      "team": {
        "@id": "<string>",
        "@type": "<string>",
        "name": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "owner_email": "<string>"
      },
      "proxy_account": {
        "@id": "<string>",
        "@type": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "description": "<string>",
        "enabled": true,
        "status": "ACCOUNT_BLOCKED",
        "is_active": false,
        "username": "<string>",
        "plain_password": "<string>",
        "team": {
          "@id": "<string>",
          "@type": "<string>",
          "name": "<string>",
          "@context": "<string>",
          "id": "<string>",
          "owner_email": "<string>"
        }
      }
    }
  ],
  "hydra:totalItems": 1,
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

Query Parameters

proxy_account
string
proxy_account[]
string[]
auth_method
string
auth_method[]
string[]
proxy_protocol
string
proxy_protocol[]
string[]
location.country_code
string
location.country_code[]
string[]
session.type
string
session.type[]
string[]
proxy_type
enum<string>

Filter by proxy type (residential, mobile, or any — any matches profiles with no specific type)

Available options:
residential,
mobile,
any
proxy_type[]
enum<string>[]

Filter by one or more proxy types (OR semantics)

Available options:
residential,
mobile,
any
is_active
string

Filter by linked proxy account is_active (true, false, 1, or 0)

order[name]
enum<string>
default:asc
Available options:
asc,
desc

Response

ProxyProfile collection

ProxyProfile.jsonld-proxy_profile.restricted_proxy_account.restricted_team.restricted collection.

hydra:member
object[]
required
hydra:totalItems
integer
Required range: x >= 0